<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Name: Sectie Aan- en uitkleden
Description: Template voor de weergave van Sectie Aan- en uitkleden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000">
   <title>Sectie Aan- en uitkleden</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]]
Item: (Sectie_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]]"
         id="d20e4598-false-d41109e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]) &gt;= 1">(Sectie_Aan-_en_uitkleden): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]) &lt;= 1">(Sectie_Aan-_en_uitkleden): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]
Item: (Sectie_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]"
         id="d20e4605-false-d41164e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']) &gt;= 1">(Sectie_Aan-_en_uitkleden): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']) &lt;= 1">(Sectie_Aan-_en_uitkleden): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '165235000' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Sectie_Aan-_en_uitkleden): element hl7:code[(@code = '165235000' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '165235000' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Sectie_Aan-_en_uitkleden): element hl7:code[(@code = '165235000' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Sectie_Aan-_en_uitkleden): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Sectie_Aan-_en_uitkleden): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.87']]]) &gt;= 1">(Sectie_Aan-_en_uitkleden): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.87']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.87']]]) &lt;= 1">(Sectie_Aan-_en_uitkleden): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.87']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']
Item: (Sectie_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']"
         id="d20e4624-false-d41227e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.1.8')">(Sectie_Aan-_en_uitkleden): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.1.8' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:code[(@code = '165235000' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Sectie_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:code[(@code = '165235000' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e4634-false-d41242e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="@nullFlavor or (@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Aan-_en_uitkleden): de elementwaarde MOET een zijn van 'code '165235000' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:title[not(@nullFlavor)]
Item: (Sectie_Aan-_en_uitkleden)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.87']]]
Item: (Sectie_Aan-_en_uitkleden)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.87']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.1.8-2012-05-03T000000.html"
              test="string(@typeCode) = ('DRIV')">(Sectie_Aan-_en_uitkleden): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
