<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Name: sonde
Description: Template voor de weergave van Voeding sonde
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000">
   <title>sonde</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]
Item: (sonde)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]"
         id="d20e6554-false-d45248e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]) &gt;= 1">(sonde): element hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]) &lt;= 1">(sonde): element hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]
Item: (sonde)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]"
         id="d20e6561-false-d45271e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="string(@classCode) = ('SPLY')">(sonde): de waarde van classCode MOET 'SPLY' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="string(@moodCode) = ('EVN')">(sonde): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']) &gt;= 1">(sonde): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']) &lt;= 1">(sonde): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:code[(@code = '25062003' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(sonde): element hl7:code[(@code = '25062003' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:code[(@code = '25062003' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(sonde): element hl7:code[(@code = '25062003' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(sonde): element hl7:statusCode[@code = 'completed' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(sonde): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]) &gt;= 1">(sonde): element hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]) &lt;= 1">(sonde): element hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']
Item: (sonde)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']"
         id="d20e6590-false-d45330e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.117')">(sonde): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.117' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:code[(@code = '25062003' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (sonde)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:code[(@code = '25062003' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e6601-false-d45345e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="@nullFlavor or (@code='25062003' and @codeSystem='2.16.840.1.113883.6.96')">(sonde): de elementwaarde MOET een zijn van 'code '25062003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (sonde)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d20e6611-false-d45362e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="@nullFlavor or (@code='completed')">(sonde): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:effectiveTime
Item: (sonde)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:effectiveTime"
         id="d20e6621-false-d45378e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="not(*)">(sonde): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]
Item: (sonde)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]"
         id="d20e6629-false-d45394e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]) &gt;= 1">(sonde): element hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]) &lt;= 1">(sonde): element hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]
Item: (sonde)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]"
         id="d20e6639-false-d45416e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="string(@classCode) = ('MANU')">(sonde): de waarde van classCode MOET 'MANU' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name]) &gt;= 1">(sonde): element hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name]) &lt;= 1">(sonde): element hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.118']]]) &lt;= 1">(sonde): element hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.118']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]/hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name]
Item: (sonde)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]/hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name]"
         id="d20e6651-false-d45446e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="string(@classCode) = ('MMAT')">(sonde): de waarde van classCode MOET 'MMAT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(sonde): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(sonde): element hl7:name[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]/hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name]/hl7:name[not(@nullFlavor)]
Item: (sonde)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.118']]]
Item: (sonde)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.118']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.117-2014-08-20T000000.html"
              test="string(@typeCode) = ('SUBJ')">(sonde): de waarde van typeCode MOET 'SUBJ' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
