<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Name: urine katheter
Description: Template voor de weergave van urine katheter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000">
   <title>urine katheter</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]]
Item: (urine_katheter)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]]"
         id="d20e8147-false-d48296e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]) &gt;= 1">(urine_katheter): element hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]) &lt;= 1">(urine_katheter): element hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]
Item: (urine_katheter)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]"
         id="d20e8154-false-d48325e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="string(@classCode) = ('SPLY')">(urine_katheter): de waarde van classCode MOET 'SPLY' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(urine_katheter): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']) &gt;= 1">(urine_katheter): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']) &lt;= 1">(urine_katheter): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '20568009' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(urine_katheter): element hl7:code[(@code = '20568009' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '20568009' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(urine_katheter): element hl7:code[(@code = '20568009' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.131']]]) &gt;= 1">(urine_katheter): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.131']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.131']]]) &lt;= 1">(urine_katheter): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.131']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.142']]]) &lt;= 1">(urine_katheter): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.142']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']
Item: (urine_katheter)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']"
         id="d20e8175-false-d48382e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(urine_katheter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.130')">(urine_katheter): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.130' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:code[(@code = '20568009' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (urine_katheter)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:code[(@code = '20568009' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e8185-false-d48397e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(urine_katheter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="@nullFlavor or (@code='20568009' and @codeSystem='2.16.840.1.113883.6.96')">(urine_katheter): de elementwaarde MOET een zijn van 'code '20568009' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.131']]]
Item: (urine_katheter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.142']]]
Item: (urine_katheter)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.142']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="string(@typeCode) = ('REFR')">(urine_katheter): de waarde van typeCode MOET 'REFR' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
