<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.161
Name: wond
Description: Template voor de weergave van wond
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000">
   <title>wond</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.161
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]
Item: (wond)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]"
         id="d20e10316-false-d52622e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]) &gt;= 1">(wond): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]) &lt;= 1">(wond): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.161
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]
Item: (wond)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]"
         id="d20e10323-false-d52651e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="string(@classCode) = ('OBS')">(wond): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="string(@moodCode) = ('EVN')">(wond): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="string(@negationInd) = ('false') or not(@negationInd)">(wond): de waarde van negationInd MOET 'false' zijn. Gevonden: "<value-of select="@negationInd"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']) &gt;= 1">(wond): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']) &lt;= 1">(wond): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="count(hl7:code[(@code = '416462003' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(wond): element hl7:code[(@code = '416462003' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="count(hl7:code[(@code = '416462003' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(wond): element hl7:code[(@code = '416462003' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.30.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(wond): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.30.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.30.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(wond): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.30.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.162']]]) &lt;= 1">(wond): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.162']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.163']]]) &lt;= 1">(wond): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.163']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.161
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']
Item: (wond)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']"
         id="d20e10347-false-d52721e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wond): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.161')">(wond): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.161' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.161
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]/hl7:code[(@code = '416462003' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (wond)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]/hl7:code[(@code = '416462003' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e10358-false-d52736e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wond): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="@nullFlavor or (@code='416462003' and @codeSystem='2.16.840.1.113883.6.96')">(wond): de elementwaarde MOET een zijn van 'code '416462003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.161
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.30.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (wond)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.30.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e10368-false-d52755e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wond): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.30.11.14-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(wond): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.30.11.14 wond (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.30.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(wond): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.30.11.14 wond (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.161
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.162']]]
Item: (wond)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.162']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="string(@typeCode) = ('REFR')">(wond): de waarde van typeCode MOET 'REFR' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.161
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.163']]]
Item: (wond)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.161']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.163']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.161-2014-08-20T000000.html"
              test="string(@typeCode) = ('REFR')">(wond): de waarde van typeCode MOET 'REFR' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
