<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Name: begrijpen
Description: Template voor de weergave van begrijpen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000">
   <title>begrijpen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]]
Item: (begrijpen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]]"
         id="d20e15558-false-d62724e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]) &gt;= 1">(begrijpen): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]) &lt;= 1">(begrijpen): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]
Item: (begrijpen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]"
         id="d20e15565-false-d62753e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="string(@classCode) = ('OBS')">(begrijpen): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(begrijpen): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']) &gt;= 1">(begrijpen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']) &lt;= 1">(begrijpen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '395659009' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(begrijpen): element hl7:code[(@code = '395659009' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '395659009' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(begrijpen): element hl7:code[(@code = '395659009' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.223']]]) &lt;= 1">(begrijpen): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.223']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.224']]]) &lt;= 1">(begrijpen): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.224']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']
Item: (begrijpen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']"
         id="d20e15585-false-d62808e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(begrijpen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.222')">(begrijpen): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.222' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:code[(@code = '395659009' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (begrijpen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:code[(@code = '395659009' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e15595-false-d62823e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(begrijpen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="@nullFlavor or (@code='395659009' and @codeSystem='2.16.840.1.113883.6.96')">(begrijpen): de elementwaarde MOET een zijn van 'code '395659009' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.223']]]
Item: (begrijpen)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.223']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="string(@typeCode) = ('REFR')">(begrijpen): de waarde van typeCode MOET 'REFR' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.224']]]
Item: (begrijpen)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.224']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="string(@typeCode) = ('REFR')">(begrijpen): de waarde van typeCode MOET 'REFR' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
