<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Name: wilsverklaring
Description: Template voor de weergave van wilsverklaring
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000">
   <title>wilsverklaring</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]]
Item: (wilsverklaring)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]]"
         id="d20e16742-false-d64894e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]) &gt;= 1">(wilsverklaring): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]) &lt;= 1">(wilsverklaring): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]
Item: (wilsverklaring)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]"
         id="d20e16749-false-d64917e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="string(@classCode) = ('OBS')">(wilsverklaring): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(wilsverklaring): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="@negationInd">(wilsverklaring): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(wilsverklaring): attribuut @negationInd MOET datatype 'bl' hebben  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']) &gt;= 1">(wilsverklaring): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']) &lt;= 1">(wilsverklaring): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '425392003' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(wilsverklaring): element hl7:code[(@code = '425392003' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '425392003' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(wilsverklaring): element hl7:code[(@code = '425392003' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.239']]]) &lt;= 1">(wilsverklaring): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.239']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']
Item: (wilsverklaring)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']"
         id="d20e16773-false-d64967e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wilsverklaring): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.238')">(wilsverklaring): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.238' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:code[(@code = '425392003' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (wilsverklaring)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:code[(@code = '425392003' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e16783-false-d64982e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wilsverklaring): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="@nullFlavor or (@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')">(wilsverklaring): de elementwaarde MOET een zijn van 'code '425392003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.239']]]
Item: (wilsverklaring)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.239']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="string(@typeCode) = ('REFR')">(wilsverklaring): de waarde van typeCode MOET 'REFR' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
