<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Name: aanvraag hulpmiddelen aanpassingen
Description: Template voor de weergave van aanvraag hulpmiddelen aanpassingen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000">
   <title>aanvraag hulpmiddelen aanpassingen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]]
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]]"
         id="d20e17966-false-d67264e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]) &gt;= 1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]) &lt;= 1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]"
         id="d20e17973-false-d67281e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="string(@classCode) = ('SPLY')">(aanvraag_hulpmiddelen_aanpassingen): de waarde van classCode MOET 'SPLY' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(aanvraag_hulpmiddelen_aanpassingen): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']) &gt;= 1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']) &lt;= 1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '272181003' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:code[(@code = '272181003' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '272181003' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:code[(@code = '272181003' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:statusCode[@code = 'completed' or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']"
         id="d20e17994-false-d67323e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aanvraag_hulpmiddelen_aanpassingen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.257')">(aanvraag_hulpmiddelen_aanpassingen): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.257' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:code[(@code = '272181003' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:code[(@code = '272181003' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e18004-false-d67338e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aanvraag_hulpmiddelen_aanpassingen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="@nullFlavor or (@code='272181003' and @codeSystem='2.16.840.1.113883.6.96')">(aanvraag_hulpmiddelen_aanpassingen): de elementwaarde MOET een zijn van 'code '272181003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d20e18015-false-d67355e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aanvraag_hulpmiddelen_aanpassingen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(aanvraag_hulpmiddelen_aanpassingen): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
</pattern>
