<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Name: verpleegkundige interventies
Description: Template voor de weergave van verpleegkundige interventies
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000">
   <title>verpleegkundige interventies</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]]
Item: (verpleegkundige_interventies)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]]"
         id="d20e23148-false-d77371e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]) &gt;= 1">(verpleegkundige_interventies): element hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]) &lt;= 1">(verpleegkundige_interventies): element hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]
Item: (verpleegkundige_interventies)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]"
         id="d20e23155-false-d77388e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="string(@classCode) = ('PROC')">(verpleegkundige_interventies): de waarde van classCode MOET 'PROC' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(verpleegkundige_interventies): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']) &gt;= 1">(verpleegkundige_interventies): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']) &lt;= 1">(verpleegkundige_interventies): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '362956003' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(verpleegkundige_interventies): element hl7:code[(@code = '362956003' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '362956003' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(verpleegkundige_interventies): element hl7:code[(@code = '362956003' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']
Item: (verpleegkundige_interventies)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']"
         id="d20e23174-false-d77423e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(verpleegkundige_interventies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.73')">(verpleegkundige_interventies): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.73' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:code[(@code = '362956003' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (verpleegkundige_interventies)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:code[(@code = '362956003' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e23184-false-d77438e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(verpleegkundige_interventies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="@nullFlavor or (@code='362956003' and @codeSystem='2.16.840.1.113883.6.96')">(verpleegkundige_interventies): de elementwaarde MOET een zijn van 'code '362956003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
