<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.17
Name: organizer andere relevante medische aandoening
Description: Template voor de weergave van Organizer andere relevante medische aandoening
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000">
   <title>organizer andere relevante medische aandoening</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.17
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]]
Item: (Organizer_andere_relevante_medische_aandoening)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]]"
         id="d20e11188-false-d54343e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]) &gt;= 1">(Organizer_andere_relevante_medische_aandoening): element hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]) &lt;= 1">(Organizer_andere_relevante_medische_aandoening): element hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.17
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]
Item: (Organizer_andere_relevante_medische_aandoening)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]"
         id="d20e11195-false-d54366e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="string(@classCode) = ('CLUSTER')">(Organizer_andere_relevante_medische_aandoening): de waarde van classCode MOET 'CLUSTER' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(Organizer_andere_relevante_medische_aandoening): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']) &gt;= 1">(Organizer_andere_relevante_medische_aandoening): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']) &lt;= 1">(Organizer_andere_relevante_medische_aandoening): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(Organizer_andere_relevante_medische_aandoening): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(Organizer_andere_relevante_medische_aandoening): element hl7:statusCode[@code = 'completed' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.18']]]) &gt;= 1">(Organizer_andere_relevante_medische_aandoening): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.18']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.17
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']
Item: (Organizer_andere_relevante_medische_aandoening)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']"
         id="d20e11217-false-d54411e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Organizer_andere_relevante_medische_aandoening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.17')">(Organizer_andere_relevante_medische_aandoening): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.17' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.17
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (Organizer_andere_relevante_medische_aandoening)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d20e11227-false-d54426e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Organizer_andere_relevante_medische_aandoening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.17-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(Organizer_andere_relevante_medische_aandoening): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.17
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.17']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.18']]]
Item: (Organizer_andere_relevante_medische_aandoening)
--></pattern>
