<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Name: entryRelationship allergie
Description: Template voor de weergave van entryRelationship allergie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000">
   <title>entryRelationship allergie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]]
Item: (entryRelationship_allergie)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]]"
         id="d20e13723-false-d59436e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]) &gt;= 1">(entryRelationship_allergie): element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]) &lt;= 1">(entryRelationship_allergie): element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]
Item: (entryRelationship_allergie)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]"
         id="d20e13730-false-d59463e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@classCode) = ('ACT')">(entryRelationship_allergie): de waarde van classCode MOET 'ACT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(entryRelationship_allergie): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']) &gt;= 1">(entryRelationship_allergie): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']) &lt;= 1">(entryRelationship_allergie): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:code[@nullFlavor = 'NA']) &gt;= 1">(entryRelationship_allergie): element hl7:code[@nullFlavor = 'NA'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:code[@nullFlavor = 'NA']) &lt;= 1">(entryRelationship_allergie): element hl7:code[@nullFlavor = 'NA'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.21']]]) &gt;= 1">(entryRelationship_allergie): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.21']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']
Item: (entryRelationship_allergie)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']"
         id="d20e13748-false-d59508e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.20')">(entryRelationship_allergie): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.20' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:code[@nullFlavor = 'NA']
Item: (entryRelationship_allergie)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:code[@nullFlavor = 'NA']"
         id="d20e13758-false-d59522e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@nullFlavor) = ('NA')">(entryRelationship_allergie): de waarde van nullFlavor MOET 'NA' zijn. Gevonden: "<value-of select="@nullFlavor"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.21']]]
Item: (entryRelationship_allergie)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.21']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@typeCode) = ('SUBJ')">(entryRelationship_allergie): de waarde van typeCode MOET 'SUBJ' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
