<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Name: bloeddruk
Description: Template: entryRelationship Bloeddruk
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000">
   <title>bloeddruk</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]
Item: (entryRelationship_Bloeddruk)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]"
         id="d20e20152-false-d71556e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]) &gt;= 1">(entryRelationship_Bloeddruk): element hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]) &lt;= 1">(entryRelationship_Bloeddruk): element hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]
Item: (entryRelationship_Bloeddruk)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]"
         id="d20e20159-false-d71591e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="string(@classCode) = ('CLUSTER')">(entryRelationship_Bloeddruk): de waarde van classCode MOET 'CLUSTER' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(entryRelationship_Bloeddruk): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']) &gt;= 1">(entryRelationship_Bloeddruk): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']) &lt;= 1">(entryRelationship_Bloeddruk): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '75367002' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(entryRelationship_Bloeddruk): element hl7:code[(@code = '75367002' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '75367002' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(entryRelationship_Bloeddruk): element hl7:code[(@code = '75367002' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(entryRelationship_Bloeddruk): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(entryRelationship_Bloeddruk): element hl7:statusCode[@code = 'completed' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.40']]]) &gt;= 1">(entryRelationship_Bloeddruk): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.40']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.40']]]) &lt;= 1">(entryRelationship_Bloeddruk): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.40']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.41']]]) &gt;= 1">(entryRelationship_Bloeddruk): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.41']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.41']]]) &lt;= 1">(entryRelationship_Bloeddruk): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.41']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.42']]]) &lt;= 1">(entryRelationship_Bloeddruk): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.42']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']
Item: (entryRelationship_Bloeddruk)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']"
         id="d20e20187-false-d71669e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_Bloeddruk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.39')">(entryRelationship_Bloeddruk): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.39' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:code[(@code = '75367002' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (entryRelationship_Bloeddruk)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:code[(@code = '75367002' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e20200-false-d71684e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_Bloeddruk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="@nullFlavor or (@code='75367002' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_Bloeddruk): de elementwaarde MOET een zijn van 'code '75367002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (entryRelationship_Bloeddruk)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d20e20211-false-d71701e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_Bloeddruk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190408T143236/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(entryRelationship_Bloeddruk): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.40']]]
Item: (entryRelationship_Bloeddruk)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.41']]]
Item: (entryRelationship_Bloeddruk)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.42']]]
Item: (entryRelationship_Bloeddruk)
--></pattern>
